package com.cool.store.enums;

/**
 * @Author: WangShuo
 * @Date: 2025/07/31/14:46
 * @Version 1.0
 * @注释:
 */
public enum SatisfactionEnum {
    //满意度0-低，1-中，2-高', 3-差，4-一般，5-好，6-非常好
    LOW(0, "低",""),
    MIDDLE(1, "中",""),
    HIGH(2, "高",""),
    BAD(3, "差","option142"),
    NORMAL(4, "一般","option141"),
    GOOD(5, "好","option140"),
    EXCELLENT(6, "非常好","option139");
    private Integer code;
    private String name;
    //红圈通code
    private String hqtCode;
    SatisfactionEnum(Integer code, String name, String hqtCode) {
        this.code = code;
        this.name = name;
        this.hqtCode = hqtCode;
    }
    public static SatisfactionEnum getEnumByCode(Integer code) {
        for (SatisfactionEnum satisfactionEnum : SatisfactionEnum.values()) {
            if (satisfactionEnum.code.equals(code)) {
                return satisfactionEnum;
            }
        }
        return null;
    }

    public Integer getCode() {
        return code;
    }

    public String getHqtCode() {
        return hqtCode;
    }

    public String getName() {
        return name;
    }
}
